from telegram import ReplyKeyboardMarkup, Update, KeyboardButton
from telegram.ext import CallbackContext
from logging_script import logger
from db import has_permission
from config import ADMIN_IDs


async def start(update: Update, context: CallbackContext):
    user = update.message.from_user
    logger.info("User %s started the conversation.", user["id"])

    # save_user_id(user["id"])
    if user["id"] in ADMIN_IDs:
        keyboard_ = [
            [KeyboardButton("گزارش📈"), KeyboardButton("گزارش دسترسی ها📈")],
            [KeyboardButton("افزودن دسترسی➕"), KeyboardButton("حذف دسترسی🔒")]
        ]
        reply_markup = ReplyKeyboardMarkup(keyboard_, resize_keyboard=True)

        await update.message.reply_html(f"{update.effective_user.first_name} عزیز \n به ربات خوش آمدین.\n شما ادمین هستید و از دکمه گزارش می‌توانید برای گرفتن آمار و ارقام ربات استفاده کنید.", reply_markup=reply_markup)
    elif has_permission(user["id"]):
        await update.message.reply_html(f"{update.effective_user.first_name} عزیز به ربات خوش آمدین. \nشما دسترسی دریافت آگهی به صورت لحظه‌ای از دو پلتفرم دیوار و شیپور رو خواهید داشت.")
        keyboard_ = [
            [KeyboardButton("پنل کاربری📄")]
        ]
        reply_markup = ReplyKeyboardMarkup(keyboard_, resize_keyboard=True)
        await update.message.reply_text("با استفاده از دکمه پنل کاربری، میتونید دسترسی‌ها و تعداد آگهی دریافتی خودتون رو مشاهده کنید", reply_markup=reply_markup)
    else:
        await update.message.reply_text("شما اجازه دسترسی به ربات ندارید! \n با ادمین ارتباط برقرار کنید. @amin_dv")


